SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Functions
VariadicSQLParser Namespace Reference

## Classes

struct | IndexAndType

## Functions

const char * | GetTypeMappingAtIndex (int i)
void | GetTypeMappingIndices (const char *format, DataStructures::List< IndexAndType > &indices)
void | ExtractArguments (va_list argptr, const DataStructures::List< IndexAndType > &indices, char ***argumentBinary, int **argumentLengths)
void | FreeArguments (const DataStructures::List< IndexAndType > &indices, char **argumentBinary, int *argumentLengths)

## Class Documentation

struct VariadicSQLParser::IndexAndType

Definition at line 20 of file VariadicSQLParser.h.

Class Members
unsigned int | strIndex |
unsigned int | typeMappingIndex |

## Function Documentation

void VariadicSQLParser::ExtractArguments | ( | va_list | argptr,
|  | const DataStructures::List< IndexAndType > & | indices,
|  | char *** | argumentBinary,
|  | int ** | argumentLengths
| ) |  |

Definition at line 75 of file VariadicSQLParser.cpp.

References _FILE_AND_LINE_, SLNet::BitStream::IsNetworkOrder(), rakMalloc_Ex, SLNet::BitStream::ReverseBytesInPlace(), DataStructures::List< list_type >::Size(), and typeMappings.

void VariadicSQLParser::FreeArguments | ( | const DataStructures::List< IndexAndType > & | indices,
|  | char ** | argumentBinary,
|  | int * | argumentLengths
| ) |  |

Definition at line 155 of file VariadicSQLParser.cpp.

References _FILE_AND_LINE_, SLNet::OP_DELETE_ARRAY(), rakFree_Ex, and DataStructures::List< list_type >::Size().

const char * VariadicSQLParser::GetTypeMappingAtIndex | ( | int | i | ) |

Definition at line 46 of file VariadicSQLParser.cpp.

References typeMappings.

void VariadicSQLParser::GetTypeMappingIndices | ( | const char * | format,
|  | DataStructures::List< IndexAndType > & | indices
| ) |  |

Definition at line 50 of file VariadicSQLParser.cpp.

References _FILE_AND_LINE_, DataStructures::List< list_type >::Clear(), GetTypeMappingIndex(), DataStructures::List< list_type >::Insert(), VariadicSQLParser::IndexAndType::strIndex, and VariadicSQLParser::IndexAndType::typeMappingIndex.